E-MailRelay

Classes | Namespaces | Macros
gssl_openssl.h File Reference
`#include "gdef.h"`
`#include "gssl.h"`
`#include "gstringview.h"`
`#include "gassert.h"`
`#include <openssl/ssl.h>`
`#include <openssl/err.h>`
`#include <openssl/rand.h>`
`#include <openssl/conf.h>`
`#include <openssl/evp.h>`
`#include <openssl/md5.h>`
`#include <openssl/sha.h>`
`#include <openssl/hmac.h>`
`#include <memory>`
`#include <stdexcept>`
`#include <functional>`
`#include <map>`
Include dependency graph for gssl_openssl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GSsl::OpenSSL::Certificate
| Holds a certificate taken from an OpenSSL X509 structure. More...
class | GSsl::OpenSSL::Config
| Holds protocol version information, etc. More...
class | GSsl::OpenSSL::CertificateChain
| Holds a certificate chain taken from a stack of OpenSSL X509 structures. More...
class | GSsl::OpenSSL::Error
| An exception class for GSsl::OpenSSL classes. More...

## Namespaces
namespace | GSsl
| TLS/SSL transport layer security classes.
namespace | GSsl::OpenSSL
| A namespace for implementing the GSsl interface using the OpenSSL library.

## Macros
#define | GCONFIG_HAVE_OPENSSL_HASH_FUNCTIONS 1

## Macro Definition Documentation

## ◆ GCONFIG_HAVE_OPENSSL_HASH_FUNCTIONS

#define GCONFIG_HAVE_OPENSSL_HASH_FUNCTIONS 1

Definition at line 48 of file gssl_openssl.h.